[P066]Patent Classification Description

post
https://connect.patsnap.com/high-value-data/patent-classification-description
Try in Sandbox

Receive patent classification description data by corresponding classification type and code.

Note: There must be all of the two request parameters of classification type and code. The API supports batch requests with a maximum of 10 classification codes of one type, and more classification codes are separated with English comma. Batch requests are deducted from traffic/costs, and will be deducted multiple times based on the number of successful results returned.

Receive patent classification description data by corresponding classification type and code.

Note: There must be all of the two request parameters of classification type and code. The API supports batch requests with a maximum of 10 classification codes of one type, and more classification codes are separated with English comma. Batch requests are deducted from traffic/costs, and will be deducted multiple times based on the number of successful results returned.

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
code
Required
stringC08G69/32
patent classification code, character length <= 150. Batch requests needs to be <= 10 classification codes, and separated by English commas
replace_by_merge
integer<int32>1
When the current patent classification type is ipc or cpc, should historical data be used as a substitute? Default substitution: 1: Yes 0: No.
type
Required
stringipc
patent classification type, character length <= 5

enumeration value: ipc, cpc, upc, gbc, loc, fi, fterm

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
array-
response data
code
stringC08G69/32
patent classification code
desc
arraydesc
patent classification description
lang
stringEN
patent classification description language
text
string... from aromatic diamines and aromatic dicarboxylic acids with both amino and carboxylic groups aromatically bound [2006.01]
patent classification description text
type
stringipc
patent classification type, character length <= 5

enumeration value: ipc, cpc, upc, gbc, loc, fi, fterm

parent
arrayparent
parent classification information
desc
arraydesc
parent patent classification description
parent_code
stringEN
parent patent classification code
version
string2024.01
patent classification version
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": [
    {
      "code": "C08G69/32",
      "desc": [
        {
          "lang": "EN",
          "text": "... from aromatic diamines and aromatic dicarboxylic acids with both amino and carboxylic groups aromatically bound [2006.01]"
        }
      ],
      "type": "ipc",
      "parent": [
        {
          "desc": [
            {
              "lang": "EN",
              "text": "... from aromatic diamines and aromatic dicarboxylic acids with both amino and carboxylic groups aromatically bound [2006.01]"
            }
          ],
          "parent_code": "EN"
        }
      ],
      "version": 2024.01
    }
  ],
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200000API call exceeds the total limit set by the platform!
67200001API call exceeds the total limit set by the platform!
67200002The current call rate is too fast, exceeding the current configuration limit QPS!
67200003The key and secret parameters for applying for the token are incorrect or the client has been disabled!
67200004The requested api does not have permission. Please contact our support personnel!
67200005Insufficient account balance/number of calls!
67200006The client has exceeded the activation validity period!
67200007The current call exceeds the configured usage limit of the day!
67200008Please check if the required apikey in the query parameter has been transmitted!
67200009The apikey does not match the passed bearerToken. Please check if a valid token is being used!
67200012The request is illegal!
67200100The current server status is busy, request response timeout!
67200101The API requested currently does not exist. Please check the request path!

HTTP Status Codes

Status CodeDescription
0Success
201Created
401Unauthorized
403Forbidden
404Not Found

Performance Metrics

Expected performance characteristics for this endpoint

Normal Response Time

5000 ms

Max Response Time

10000 ms